import { MaterialDefines } from '@babylonjs/core/Materials/materialDefines';
import { IImageProcessingConfigurationDefines } from '@babylonjs/core/Materials/imageProcessingConfiguration';
/**
 * Material Defines
 */
export declare class MToonMaterialDefines extends MaterialDefines implements IImageProcessingConfigurationDefines {
    /** @see light-fragment.frag */
    CUSTOMUSERLIGHTING: boolean;
    MTOON_OUTLINE_WIDTH_WORLD: boolean;
    MTOON_OUTLINE_WIDTH_SCREEN: boolean;
    MTOON_OUTLINE_COLOR_FIXED: boolean;
    MTOON_OUTLINE_COLOR_MIXED: boolean;
    MTOON_DEBUG_NORMAL: boolean;
    MTOON_DEBUG_LITSHADERRATE: boolean;
    SHADE: boolean;
    SHADEDIRECTUV: number;
    RECEIVE_SHADOW: boolean;
    RECEIVE_SHADOWDIRECTUV: number;
    SHADING_GRADE: boolean;
    SHADING_GRADEDIRECTUV: number;
    RIM: boolean;
    RIMDIRECTUV: number;
    MATCAP: boolean;
    MATCAPDIRECTUV: number;
    OUTLINE_WIDTH: boolean;
    OUTLINE_WIDTHDIRECTUV: number;
    UV_ANIMATION_MASK: boolean;
    UV_ANIMATION_MASKDIRECTUV: number;
    MAINUV1: boolean;
    MAINUV2: boolean;
    MAINUV3: boolean;
    MAINUV4: boolean;
    MAINUV5: boolean;
    MAINUV6: boolean;
    DIFFUSE: boolean;
    DIFFUSEDIRECTUV: number;
    BAKED_VERTEX_ANIMATION_TEXTURE: boolean;
    EMISSIVE: boolean;
    EMISSIVEDIRECTUV: number;
    BUMP: boolean;
    BUMPDIRECTUV: number;
    PARALLAX: boolean;
    PARALLAXOCCLUSION: boolean;
    CLIPPLANE: boolean;
    CLIPPLANE2: boolean;
    CLIPPLANE3: boolean;
    CLIPPLANE4: boolean;
    CLIPPLANE5: boolean;
    CLIPPLANE6: boolean;
    ALPHATEST: boolean;
    DEPTHPREPASS: boolean;
    ALPHAFROMDIFFUSE: boolean;
    POINTSIZE: boolean;
    FOG: boolean;
    NORMAL: boolean;
    UV1: boolean;
    UV2: boolean;
    UV3: boolean;
    UV4: boolean;
    UV5: boolean;
    UV6: boolean;
    VERTEXCOLOR: boolean;
    VERTEXALPHA: boolean;
    NUM_BONE_INFLUENCERS: number;
    BonesPerMesh: number;
    BONETEXTURE: boolean;
    BONES_VELOCITY_ENABLED: boolean;
    INSTANCES: boolean;
    THIN_INSTANCES: boolean;
    OBJECTSPACE_NORMALMAP: boolean;
    LOGARITHMICDEPTH: boolean;
    TWOSIDEDLIGHTING: boolean;
    SHADOWFLOAT: boolean;
    MORPHTARGETS: boolean;
    MORPHTARGETS_NORMAL: boolean;
    MORPHTARGETS_TANGENT: boolean;
    MORPHTARGETS_UV: boolean;
    NUM_MORPH_INFLUENCERS: number;
    MORPHTARGETS_TEXTURE: boolean;
    NONUNIFORMSCALING: boolean;
    PREMULTIPLYALPHA: boolean;
    ALPHATEST_AFTERALLALPHACOMPUTATIONS: boolean;
    ALPHABLEND: boolean;
    PREPASS: boolean;
    PREPASS_IRRADIANCE: boolean;
    PREPASS_IRRADIANCE_INDEX: number;
    PREPASS_ALBEDO_SQRT: boolean;
    PREPASS_ALBEDO_SQRT_INDEX: number;
    PREPASS_DEPTH: boolean;
    PREPASS_DEPTH_INDEX: number;
    PREPASS_NORMAL: boolean;
    PREPASS_NORMAL_INDEX: number;
    PREPASS_POSITION: boolean;
    PREPASS_POSITION_INDEX: number;
    PREPASS_VELOCITY: boolean;
    PREPASS_VELOCITY_INDEX: number;
    PREPASS_REFLECTIVITY: boolean;
    PREPASS_REFLECTIVITY_INDEX: number;
    SCENE_MRT_COUNT: number;
    IMAGEPROCESSING: boolean;
    VIGNETTE: boolean;
    VIGNETTEBLENDMODEMULTIPLY: boolean;
    VIGNETTEBLENDMODEOPAQUE: boolean;
    TONEMAPPING: boolean;
    TONEMAPPING_ACES: boolean;
    CONTRAST: boolean;
    COLORCURVES: boolean;
    COLORGRADING: boolean;
    COLORGRADING3D: boolean;
    SAMPLER3DGREENDEPTH: boolean;
    SAMPLER3DBGRMAP: boolean;
    IMAGEPROCESSINGPOSTPROCESS: boolean;
    SKIPFINALCOLORCLAMP: boolean;
    MULTIVIEW: boolean;
    ORDER_INDEPENDENT_TRANSPARENCY: boolean;
    ORDER_INDEPENDENT_TRANSPARENCY_16BITS: boolean;
    IS_REFLECTION_LINEAR: boolean;
    IS_REFRACTION_LINEAR: boolean;
    EXPOSURE: boolean;
    /**
     * @inheritdoc
     */
    constructor(externalProperties?: {
        [name: string]: {
            type: string;
            default: any;
        };
    });
    setReflectionMode(modeToEnable: string): void;
}
